API Docs

Global settings

Get products supply prices

Get all products with their latest Supply Order price

GET/https://europe-west1-mpower-apps-production.cloudfunctions.net/api-products-supply-prices

Headers

x-api-key
<API_KEY>
string

Body Parameters

No body parameters required.

cURL

curl -i \
  -H "x-api-key: <API_KEY>" \
  https://europe-west1-mpower-apps-production.cloudfunctions.net/api-products-supply-prices

Response

{
  "count": 1,
  "products": [
    {
      "id": "productId",
      "name": "Product name",
      "sku": "SKU-001",
      "manufacturer": "Manufacturer name",
      "category": "Category",
      "subcategory": "Subcategory",
      "supply": {
        "currency": "USD",
        "price": 123.45,
        "created_at": "2026-06-09T00:00:00.000Z",
        "updated_at": "2026-06-09T00:00:00.000Z"
      }
    }
  ]
}